aboutsummaryrefslogtreecommitdiffstats
path: root/build-scripts
diff options
context:
space:
mode:
authorJay Berkenbilt <ejb@ql.org>2023-12-23 16:41:55 +0100
committerJay Berkenbilt <ejb@ql.org>2023-12-23 17:10:55 +0100
commit2f37633b923e0294acd894454a95d2a9ee1d36a9 (patch)
treeba71b08f35a9eaacf7733ec0fa18a16f665bf002 /build-scripts
parent6b8aa1db6f5c204913ccf53c1fe3cdec7aa6c132 (diff)
downloadqpdf-2f37633b923e0294acd894454a95d2a9ee1d36a9.tar.zst
Fix pkg-test tests and run from CI
Diffstat (limited to 'build-scripts')
-rwxr-xr-xbuild-scripts/pkg-test16
1 files changed, 16 insertions, 0 deletions
diff --git a/build-scripts/pkg-test b/build-scripts/pkg-test
new file mode 100755
index 00000000..9c8f94aa
--- /dev/null
+++ b/build-scripts/pkg-test
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+sudo apt-get update
+sudo apt-get -y install \
+ build-essential cmake \
+ zlib1g-dev libjpeg-dev libgnutls28-dev libssl-dev
+
+cmake -S . -B build \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=/tmp/inst
+cmake --build build -j$(nproc)
+cmake --install build
+env PKG_CONFIG_PATH=/tmp/inst/lib/pkgconfig \
+ LD_LIBRARY_PATH=/tmp/inst/lib \
+ CMAKE_PREFIX_PATH=/tmp/inst \
+ PATH=/tmp/inst/bin:$PATH \
+ ./pkg-test/run-all